Buf(1)

NAME
buf-plugin-prune - Prune unused plugins from buf.lock

SYNOPSIS
buf plugin prune [flags]

DESCRIPTION
Plugins that are no longer configured in buf.yaml are removed from the buf.lock file.

The first argument is the directory of your buf.yaml configuration file. Defaults to "." if no argument is specified.

OPTIONS
-h, --help[=false]
    help for prune

OPTIONS INHERITED FROM PARENT COMMANDS
--debug[=false]
    Turn on debug logging

--log-format="color"
    The log format [text,color,json]

--timeout=2m0s
    The duration until timing out, setting it to zero means no timeout

SEE ALSO
buf-plugin(1)

HISTORY
17-Jan-2025 Auto generated by spf13/cobra